import { request } from '@umijs/max';

export async function activityPage(body) {
    return request('/api/activity/findPage', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function activityAdd(body) {
    return request('/api/activity/add', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function activityUpdate(body) {
    return request('/api/activity/update', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function deleteBatchByIds(body) {
    return request('/api/activity/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function activity10s1UserList(body) {
    return request('/api/activity/activity10s1UserList', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function activity10CarUserList(body) {
    return request('/api/activity/activity10CarUserList', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function activity10CarUserAdd(body) {
    return request('/api/activity/activity10CarUserAdd', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}
export async function activity10CarUserRepeal(body) {
    return request('/api/activity/activity10CarUserRepeal', {
        method: 'POST',
        headers: {
            'contentcategory-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


